www.cendio.com
Bug 4964 - rdesktop fails to connect against Windows 2012 using CredSSP
: rdesktop fails to connect against Windows 2012 using CredSSP
Status: CLOSED FIXED
: ThinLinc
| rdesktop (deprecated)
: trunk
: PC Unknown
: P2 Normal
: 4.3.0
Assigned To:
:
:
:
: 4552
  Show dependency treegraph
 
Reported: 2014-01-21 10:59 by
Modified: 2014-10-06 15:53 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2014-01-21 10:59:36
This has been carried over from bug 4552, comment #1.

We haven't been able to reproduce this internally, but the problem has occurred
at a customer site and unfortunately we don't know why yet. The most sensible
workaround is to make sure rdesktop doesn't find the kerberos ticket cache and
therefore doesn't use CredSSP, for example by calling it thusly:

KRB5CCNAME= tl-run-windesk
------- Comment #1 From cendio 2014-01-28 11:34:11 -------
Relevant errors from xinit.log:

The xinit.log is the same:
Tue Jan  7 10:11:19 2014
 Connections: accepted: 127.0.0.1::36658
 SConnection: Client needs protocol version 3.8
 SConnection: Client requests security type VeNCrypt(19)
Stopping initial window manager...
 VNCSConnST:  tl-shadow-notify: OpenAuthenticatedConnection
 VNCSConnST:  Server default pixel format depth 24 (32bpp) little-endian rgb888
Done.
Executing command for profile windows: ${TLPREFIX}/bin/tl-run-windesk

Tue Jan  7 10:11:20 2014
 VNCSConnST:  Client pixel format depth 24 (32bpp) little-endian rgb888
warning: neither padsp nor esddsp available, sound will not be redirected
lpstat: Connection refused
Connecting to RDP server 10.10.228.32...
Connection established using CredSSP.
 Connection error: The connection to the Remote Desktop failed with error 76
Running /opt/thinlinc/etc/xlogout.d/tl-kdestroy.sh

See also issue 14854.
------- Comment #2 From cendio 2014-02-05 13:01:12 -------
I found a corner case bug with license handling code, "an error indicates that
everything is ok", which is fixed in upstream commit r1780 which might be the
source for this bug.
------- Comment #4 From cendio 2014-09-25 15:08:36 -------
Everything looks good after testing. Closing